Skip to main content
PUT
/
api
/
conversation
/
{id}
/
resolve
Toggle resolve/unresolve conversation
curl --request PUT \
  --url https://your-instance.example.com/api/conversation/{id}/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isResolved": true
}
'
{
  "message": "Conversation resolved",
  "data": {
    "_id": "65d3e0f0a0b0c0d0e0f0a0b0",
    "isResolved": true,
    "resolvedAt": "2026-05-18T14:10:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
isResolved
boolean
required

Target resolution state; true resolves the conversation (stamping resolvedAt/resolvedBy and may trigger a CSAT prompt), false reopens it.

Response

Resolve state toggled

message
string
data
object